Page 18 of 20

Re: [Plugin] ltConfig v2.0.0

Posted: Sat Nov 20, 2021 10:03 pm
by mhertz
I don't know if can be installed from webui, and cannot test now, but atleast some plugins cannot and so generally I would recommend installing plugins manually I.e move them into your deluge profile dir's 'plugins' dir.

Ltconfig isn't named with any python version in filename, so that's a non-issue here, and so just move the downloaded egg plugin file into e.g '/var/lib/deluge/.config/deluge/plugins', or where ever correct path used for running deluged user and also copy the plugin into own users deluge profile in '~/.config/deluge/plugins' and restart daemon(s).

Good luck.

Re: [Plugin] ltConfig v2.0.0

Posted: Sun Nov 28, 2021 10:56 pm
by tugurlann
Works, thanks

Re: [Plugin] ltConfig v2.0.0

Posted: Sun Dec 19, 2021 5:05 pm
by makakam
Hi, can anyone help me with setting the ItConfig in a way which would help me prevent my USB 3.0 hdd from slowing down the download speed?

My connection is 1gbps and when I start downloading it quickly reaches about 86MB/s but then drops pretty quickly to speeds like 20 or 30MB/s.

Re: [Plugin] ltConfig v2.0.0

Posted: Mon Jan 10, 2022 1:44 am
by eurario
Unable to install ltconfig. Like some other users have experienced: no tab appears to change ltconfig settings. Plugins tab shows ltConfig selected.
ltconfig conf file shows empty

Code: Select all

$ cat ltconfig.conf
{
    "file": 1,
    "format": 1
}{
    "apply_on_start": false,
    "settings": {}
}:
Also resetting the folder doesnt work. Tried everything but cant get it installed. I'll try to just manually populate ltconfig.conf but no idea if that'll work in the end. Not sure how I can confirm it.

Code: Select all

$ deluged --version
deluged 2.0.5
libtorrent: 1.2.15.0
Python: 3.10.1
OS: Linux Arch Linux

Re: [Plugin] ltConfig v2.0.0

Posted: Mon Jan 10, 2022 2:10 am
by mhertz
I much suspect you run in thinclient mode, and hence need ltconfig plugin on both server and client - otherwise client have no configuration, as runs only on server, using the ltconfig.conf there - the settings will work, but you just cannot config anything, unless doing it on server, or edit servers ltconfig.conf, which on arch(as in your profile usually is /srv/deluge/.config/deluge/ltconfig.conf, and for ubuntu/debian I believe /var/lib/deluge/.config/deluge/ltconfig.conf.

In short copy plugin egg into '~/.config/deluge/plugins' and start deluge* again.

Re: [Plugin] ltConfig v2.0.0

Posted: Tue Jan 11, 2022 11:32 pm
by eurario
Thanks mhertz. Figured it out. I run my client on windows and I think the plugin has to be installed there as well, like youve said. Weird thing was to me at the time; I was trying to install and confirm through webui that it was installed, and not through my thinclient, but I wasnt sharp enough and aware of the fact I kept running webui under a different user than the daemon. So ofcourse, there was no plugin within the webui user's folder. Anyways, worked out in the end. Thanks!

I really appreciate the work youre doing in the forums, I see the amount of energy you're putting into the forum. Thanks a lot.
Stay safe~

Regards,
me

Re: [Plugin] ltConfig v2.0.0

Posted: Wed Jan 12, 2022 12:34 am
by mhertz
That was really kind of you to say mate, and I honestly appreciate your post alot! :) Thank you so much again, and you're very welcome of-course - take care mate.

Re: [Plugin] ltConfig v2.0.0

Posted: Mon Jan 31, 2022 2:53 pm
by sparxxx
guys, I'm new here and looking for a version of ltConfig that supports Delug 2.0.5 and libtorrent: 2.0.5.0.
That's the version my seedbox is running.

Thanks for your help.

Re: [Plugin] ltConfig v2.0.0

Posted: Mon Jan 31, 2022 5:25 pm
by mhertz
Hi, and welcome :)

There's just one supporting deluge 2.x, and I recently checked it seemingly works with libtorrent 2.0.5(and deluge 2.0.5), atleast looked like normal on quick look.

Top one here: https://github.com/ratanakvlun/deluge-ltconfig/releases

Re: [Plugin] ltConfig v2.0.0

Posted: Tue Feb 01, 2022 8:15 pm
by mhertz
Here's ltconfig for deluge 2.x with it's (hardcoded) high_performance_seed preset updated to match libtorrent 1.2.15 and libtorrent 2.0.5 from its source-code(src/session.cpp):

Libtorrent 1.2.15:
ltConfig-2.0.0.egg

Libtorrent 2.0.5:
ltConfig-2.0.0.egg

Probably nicer to change to instead directly use lt.high_performance_seed() function, but to much logic in this plugin for me to comfortably hack it, considering my meager abilities, so just updated its older hardcoded preset values to match(original plugin using preset settings/values from 2017).